OBFFCalculation4 Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
OBFFCalculation4 Class Reference

`#include <openbabel/forcefield.h>`

Inheritance diagram for OBFFCalculation4:
[legend]

List of all members.

## Public Member Functions
virtual | ~OBFFCalculation4 ()
void | SetupPointers ()
## Public Attributes
OBAtom * | d
int | idx_d
double * | pos_d
double | force_d [3]
OBAtom * | c
int | idx_c
double * | pos_c
double | force_c [3]
double | energy
OBAtom * | a
OBAtom * | b
int | idx_a
int | idx_b
double * | pos_a
double * | pos_b
double | force_a [3]
double | force_b [3]

## Detailed Description

Internal class for OBForceField to hold energy and gradient calculations on specific force fields.

## Constructor & Destructor Documentation

virtual ~OBFFCalculation4 | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

void SetupPointers | ( |  | ) | `[inline, virtual]`

Returns:
  Setup pointers to atom positions and forces (To be called while setting up calculations). Sets optimized to true.

Reimplemented from OBFFCalculation3.

## Member Data Documentation

OBAtom* d

Used to store the atoms for this OBFFCalculation.

int idx_d

Used to store the index of atoms for this OBFFCalculation.

double* pos_d

Pointer to atom coordinates as double[3].

double force_d[3]

Pointer to atom forces.

OBAtom* c`[inherited]`

Used to store the atoms for this OBFFCalculation.

int idx_c`[inherited]`

Used to store the index of atoms for this OBFFCalculation.

double* pos_c`[inherited]`

Pointer to atom coordinates as double[3].

double force_c[3]`[inherited]`

Pointer to atom forces.

double energy`[inherited]`

Used to store the energy for this OBFFCalculation.

OBAtom* a`[inherited]`

Used to store the atoms for this OBFFCalculation.

OBAtom * b`[inherited]`

int idx_a`[inherited]`

Used to store the index of atoms for this OBFFCalculation.

int idx_b`[inherited]`

double* pos_a`[inherited]`

Pointer to atom coordinates as double[3].

double * pos_b`[inherited]`

double force_a[3]`[inherited]`

Pointer to atom forces.

double force_b[3]`[inherited]`

The documentation for this class was generated from the following file:

- forcefield.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines